Get Sentinel Inventory

Get Sentinel Inventory
Fetch Sentinel Inventory

Retrieves the list of HCX Sentinel VMs deployed in the infrastructure. Sentinels are lightweight monitoring VMs used for health checks and connectivity testing between sites.

Request
URI
GET
https://{server}:9443/api/admin/techSupportLogs/retrieveSentinelInventory
COPY
Authentication
This operation uses the following authentication methods.
Responses
200

Successfully retrieved Sentinel inventory

[
    {
        "sentinelId": "sentinel-12345678-1234-1234-1234-123456789012",
        "hostname": "sentinel-site-a.example.com"
    },
    {
        "sentinelId": "sentinel-87654321-4321-4321-4321-210987654321",
        "hostname": "sentinel-site-b.example.com"
    }
]
array of object
Optional

500

Internal server error

Returns SimpleErrorMessage of type(s) application/json
{
    "message": "string"
}
string
message
Optional

Error message


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/api/admin/techSupportLogs/retrieveSentinelInventory